The Marinas.com API supports both authenticated and unauthenticated requests. Requests are authenticated requests with an API Key, which is put into the access_token query parameter of any request. Or as an Authorization header Authorization: Bearer access_token Get yours at the developers homepage.
curl -XGET https://api.marinas.com/v1/points/jncqThe Marinas.com API returns preformed links on point of interest data to help assist you in database traversal and Attribution requirements. The web_url, api_url, and icon_url properties will always return a working link for you to embed in your application.
{
"id": "jncq",
"resource": "point",
"name": "Baltimore Yacht Club",
"kind": "marina",
"rating": "4.5",
"review_count": 4,
"location": {
"lat": 39.28783449044417,
"lon": -76.39857580839772,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/marina/jncq_Baltimore_Yacht_Club_Essex_MD_United_States",
"api_url": "https://api.marinas.com/v1/marinas/jncq",
"icon_url": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"fuel": {
"has_diesel": true,
"has_propane": false,
"has_gas": true,
"propane_price": null,
"diesel_price": 34800,
"gas_regular_price": 45000,
"gas_super_price": null,
"gas_premium_price": null
},
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_marina-7a692fc44dd1ae6705b7602653fc781970574941667b972eb06304bc693e70c2.svg",
"regular": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"dark": "https://marinas.com/assets/map/dark/marker_marina-27bff23b095d1955c948714dc446dad351e5d032d6f8c9606547de44a1e5d2f9.svg"
}
}Searches through all points of interest, returning a Geolist of Points objects.
Points can be any kind from marina, harbor, anchorage, inlet, bridge, lock, lighthouse, ferry, landmark, ramp.
Points are essentially polymorphic wrappers around the individual point of interest data types. For example, a Marina object has more properties than a Point. To access those, you can either use the Marina search API or retrieve the associated object from the api_url property.
marina, anchorage, harbor, inlet, bridge, lock, lighthouse, ferry, landmark, ramp.curl -XGET -G https://api.marinas.com/v1/points/search \
-d 'location[lat]=39.28783449044417' \
-d 'location[lon]=-76.39857580839772'{
"resource": "geolist",
"data": [
{
"id": "jncq",
"resource": "point",
"name": "Baltimore Yacht Club",
"kind": "marina",
"rating": "4.5",
"review_count": 4,
"location": {
"lat": 39.28783449044417,
"lon": -76.39857580839772,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/marina/jncq_Baltimore_Yacht_Club_Essex_MD_United_States",
"api_url": "https://api.marinas.com/v1/marinas/jncq",
"icon_url": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"fuel": {
"has_diesel": true,
"has_propane": false,
"has_gas": true,
"propane_price": null,
"diesel_price": 34800,
"gas_regular_price": 45000,
"gas_super_price": null,
"gas_premium_price": null
},
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_marina-7a692fc44dd1ae6705b7602653fc781970574941667b972eb06304bc693e70c2.svg",
"regular": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"dark": "https://marinas.com/assets/map/dark/marker_marina-27bff23b095d1955c948714dc446dad351e5d032d6f8c9606547de44a1e5d2f9.svg"
}
}
],
"bounds": {
"ne": {
"lat": 39.28783449044417,
"lon": -76.39857580839772
},
"sw": {
"lat": 39.28783449044417,
"lon": -76.39857580839772
}
},
"total_count": 687
}Returns the requested point
curl -XGET https://api.marinas.com/v1/points/jncq{
"id": "jncq",
"resource": "point",
"name": "Baltimore Yacht Club",
"kind": "marina",
"rating": "4.5",
"review_count": 4,
"location": {
"lat": 39.28783449044417,
"lon": -76.39857580839772,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/marina/jncq_Baltimore_Yacht_Club_Essex_MD_United_States",
"api_url": "https://api.marinas.com/v1/marinas/jncq",
"icon_url": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"fuel": {
"has_diesel": true,
"has_propane": false,
"has_gas": true,
"propane_price": null,
"diesel_price": 34800,
"gas_regular_price": 45000,
"gas_super_price": null,
"gas_premium_price": null
},
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_marina-7a692fc44dd1ae6705b7602653fc781970574941667b972eb06304bc693e70c2.svg",
"regular": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"dark": "https://marinas.com/assets/map/dark/marker_marina-27bff23b095d1955c948714dc446dad351e5d032d6f8c9606547de44a1e5d2f9.svg"
}
}Searches through all Marina objects, returning a Geolist of Marinas
true, false.true, false.true, false.curl -XGET -G https://api.marinas.com/v1/marinas/search \
-d 'location[lat]=39.28783449044417' \
-d 'location[lon]=-76.39857580839772'{
"resource": "geolist",
"data": [
{
"id": "jncq",
"resource": "marina",
"name": "Baltimore Yacht Club",
"rating": "4.5",
"review_count": 4,
"location": {
"lat": 39.28783449044417,
"lon": -76.39857580839772,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/marina/jncq_Baltimore_Yacht_Club_Essex_MD_United_States",
"api_url": "https://api.marinas.com/v1/marinas/jncq",
"icon_url": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_marina-7a692fc44dd1ae6705b7602653fc781970574941667b972eb06304bc693e70c2.svg",
"regular": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"dark": "https://marinas.com/assets/map/dark/marker_marina-27bff23b095d1955c948714dc446dad351e5d032d6f8c9606547de44a1e5d2f9.svg"
},
"fuel": {
"has_diesel": true,
"has_propane": false,
"has_gas": true,
"propane_price": null,
"diesel_price": 34800,
"gas_regular_price": 45000,
"gas_super_price": null,
"gas_premium_price": null
}
}
],
"bounds": {
"ne": {
"lat": 39.28783449044417,
"lon": -76.39857580839772
},
"sw": {
"lat": 39.28783449044417,
"lon": -76.39857580839772
}
},
"total_count": 529
}Returns the requested marina
curl -XGET https://api.marinas.com/v1/marinas/jncq{
"id": "jncq",
"resource": "marina",
"name": "Baltimore Yacht Club",
"rating": "4.5",
"review_count": 4,
"location": {
"lat": 39.28783449044417,
"lon": -76.39857580839772,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/marina/jncq_Baltimore_Yacht_Club_Essex_MD_United_States",
"api_url": "https://api.marinas.com/v1/marinas/jncq",
"icon_url": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_marina-7a692fc44dd1ae6705b7602653fc781970574941667b972eb06304bc693e70c2.svg",
"regular": "https://marinas.com/assets/map/marker_marina-2cd81bae4bd4c178e63072249648600ec23a38c63fbe701c456a324bae92329f.svg",
"dark": "https://marinas.com/assets/map/dark/marker_marina-27bff23b095d1955c948714dc446dad351e5d032d6f8c9606547de44a1e5d2f9.svg"
},
"fuel": {
"has_diesel": true,
"has_propane": false,
"has_gas": true,
"propane_price": null,
"diesel_price": 34800,
"gas_regular_price": 45000,
"gas_super_price": null,
"gas_premium_price": null
}
}Returns the requested harbor
curl -XGET https://api.marinas.com/v1/harbors/rltp{
"id": "rltp",
"resource": "harbor",
"name": "Belfast Harbor",
"rating": null,
"review_count": 0,
"location": {
"lat": 44.4333,
"lon": -69.0121994,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/harbor/rltp_Belfast_Harbor_Belfast_ME_United_States",
"api_url": "https://api.marinas.com/v1/harbors/rltp",
"icon_url": "https://marinas.com/assets/map/marker_harbor-75242b74a7b98d89e189ab8709d29dd9553ebbdb4097196fd32b58c1fd5cf952.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_harbor-aaebd10c4f61768ce01566373b8de6b56cc06bf01d63c74d00425e1bba237bf9.svg",
"regular": "https://marinas.com/assets/map/marker_harbor-75242b74a7b98d89e189ab8709d29dd9553ebbdb4097196fd32b58c1fd5cf952.svg",
"dark": "https://marinas.com/assets/map/dark/marker_harbor-84dd6a6f98eb07de5606c9a621bb4726a1db8c4b046a71c1c6036f11edd71f4e.svg"
}
}Returns the requested anchorage
curl -XGET https://api.marinas.com/v1/anchorages/m4f9{
"id": "m4f9",
"resource": "anchorage",
"name": "Isthmus Harbor Department",
"rating": null,
"review_count": 0,
"location": {
"lat": 33.4425011,
"lon": -118.4990005,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/anchorage/m4f9_Isthmus_Harbor_Department_Anchorage_Two_Harbors_CA_United_States",
"api_url": "https://api.marinas.com/v1/anchorages/m4f9",
"icon_url": "https://marinas.com/assets/map/marker_anchorage-f913c81c9c3c7bdc6a91b91f1b97d493f611b324a5daeaa0aaa583b187bf6e94.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_anchorage-996ba6c02bba1901ef2abc730247132adc61469c3cbfc915d3eedb372263c203.svg",
"regular": "https://marinas.com/assets/map/marker_anchorage-f913c81c9c3c7bdc6a91b91f1b97d493f611b324a5daeaa0aaa583b187bf6e94.svg",
"dark": "https://marinas.com/assets/map/dark/marker_anchorage-0c410dbef484b46de47f93a2d2eaf93b5fd6feb51ab0e6c07c1192d4f1ffab82.svg"
}
}Returns the requested inlet
curl -XGET https://api.marinas.com/v1/inlets/nviq{
"id": "nviq",
"resource": "inlet",
"name": "Cape Island Creek North Inlet",
"rating": null,
"review_count": 0,
"location": {
"lat": 38.9482994,
"lon": -74.9075012,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/inlet/nviq_Cape_Island_Creek_North_Inlet_Cape_May_NJ_United_States",
"api_url": "https://api.marinas.com/v1/inlets/nviq",
"icon_url": "https://marinas.com/assets/map/marker_inlet-e08407cc686c552eda31dc1eebbb60b79c48864bb91c271de5db6e76e21c2200.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_inlet-5463c651e7a8cbb04db26899bd4ff91008f0818ffa14b96a903e959b1b8bda57.svg",
"regular": "https://marinas.com/assets/map/marker_inlet-e08407cc686c552eda31dc1eebbb60b79c48864bb91c271de5db6e76e21c2200.svg",
"dark": "https://marinas.com/assets/map/dark/marker_inlet-c2bc317398f41507f4b73eaf6354d47603c0f2ff0e9663788fc953198d032268.svg"
}
}Returns the requested bridge
curl -XGET https://api.marinas.com/v1/bridges/ylu5{
"id": "ylu5",
"resource": "bridge",
"name": "Egernsund Bridge",
"rating": null,
"review_count": 0,
"location": {
"lat": 54.9067001,
"lon": 9.6005602,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/bridge/ylu5_Egernsund_Bridge_South_Jutland_Denmark",
"api_url": "https://api.marinas.com/v1/bridges/ylu5",
"icon_url": "https://marinas.com/assets/map/marker_bridge-b5c5323cb25fde34dc678e35a4aadf07f3410cf1603a12b9be077a75b3e28b68.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_bridge-319837ae6b3a6e31aec73139dc534cf124c82891fdb317cee0f2957fce820307.svg",
"regular": "https://marinas.com/assets/map/marker_bridge-b5c5323cb25fde34dc678e35a4aadf07f3410cf1603a12b9be077a75b3e28b68.svg",
"dark": "https://marinas.com/assets/map/dark/marker_bridge-75fa25d20294c19b7dbd342b53ef44d863d37d9b38e0821d180ac565f0434e54.svg"
}
}Returns the requested lock
curl -XGET https://api.marinas.com/v1/locks/n2hw{
"id": "n2hw",
"resource": "lock",
"name": "General Joe Wheeler Lock",
"rating": null,
"review_count": 0,
"location": {
"lat": 34.8128014,
"lon": -87.3843994,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/lock/n2hw_General_Joe_Wheeler_Lock_AL_United_States",
"api_url": "https://api.marinas.com/v1/locks/n2hw",
"icon_url": "https://marinas.com/assets/map/marker_lock-b965589a1b151e9ed5d1a4062d7fb24c0ad600fc6a8a9014db9b41e13d9bfe89.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_lock-99081577041cbcd84006380725d4cb10fe43d792a4019ac60d911d8d5ee9a5e1.svg",
"regular": "https://marinas.com/assets/map/marker_lock-b965589a1b151e9ed5d1a4062d7fb24c0ad600fc6a8a9014db9b41e13d9bfe89.svg",
"dark": "https://marinas.com/assets/map/dark/marker_lock-e1799b26c6a368d938051cd38ec59a1e5450b8d56b401eb154a90584cd542c0c.svg"
}
}Returns the requested lighthouse
curl -XGET https://api.marinas.com/v1/lighthouses/4vav{
"id": "4vav",
"resource": "lighthouse",
"name": "Penfield Reef Light",
"rating": null,
"review_count": 0,
"location": {
"lat": 41.1171494,
"lon": -73.2220612,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/lighthouse/4vav_Penfield_Reef_Light_Lighthouse_CT_United_States",
"api_url": "https://api.marinas.com/v1/lighthouses/4vav",
"icon_url": "https://marinas.com/assets/map/marker_lighthouse-3067ffdb332c55f67b2eea3bff20fe8b0e8b70a781605064b20505a5d7bd5524.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_lighthouse-8afd07831a1db48727a678ddf30cd94a2701fb6e907cd30367014bb843746d1b.svg",
"regular": "https://marinas.com/assets/map/marker_lighthouse-3067ffdb332c55f67b2eea3bff20fe8b0e8b70a781605064b20505a5d7bd5524.svg",
"dark": "https://marinas.com/assets/map/dark/marker_lighthouse-7789409a2a66fdae2a78c756b450ff3be8d9e443daa1b2320f5172732cdc3c12.svg"
}
}Returns the requested ferry
curl -XGET https://api.marinas.com/v1/ferrys/qmb1{
"id": "qmb1",
"resource": "ferry",
"name": "Hals Ferry",
"rating": null,
"review_count": 0,
"location": {
"lat": 56.990799,
"lon": 10.3066998,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/ferry/qmb1_Hals_Ferry_North_Jutland_Denmark",
"api_url": "https://api.marinas.com/v1/ferrys/qmb1",
"icon_url": "https://marinas.com/assets/map/marker_ferry-de343c69b296d046bab0784ac1ca9ae94287c52b78a597ad1cfa8275696136a8.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_ferry-c10d89dd7f3f0dde7b7108965c98e80c236ef3bff9f422fd0af5ff3b610f0e66.svg",
"regular": "https://marinas.com/assets/map/marker_ferry-de343c69b296d046bab0784ac1ca9ae94287c52b78a597ad1cfa8275696136a8.svg",
"dark": "https://marinas.com/assets/map/dark/marker_ferry-02c5d0408dbd15d31171e4180c431a0acebc863afdbc003e68433567f2d90442.svg"
}
}Returns the requested landmark
curl -XGET https://api.marinas.com/v1/landmarks/qjsq{
"id": "qjsq",
"resource": "landmark",
"name": "Boothbay Whale Watch",
"rating": null,
"review_count": 0,
"location": {
"lat": 43.85057231292777,
"lon": -69.62799761555563,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/landmark/qjsq_Boothbay_Whale_Watch_Landmark_Boothbay_Harbor_ME_United_States",
"api_url": "https://api.marinas.com/v1/landmarks/qjsq",
"icon_url": "https://marinas.com/assets/map/marker_landmark-75547db68ac388332b3b068c5fcf5c42758eabe76c40bb61f58e3389b5388541.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_landmark-b4ddf0641c3320452505ae3c5ad921f6adaefed263276c6682458dde4d7dc3a7.svg",
"regular": "https://marinas.com/assets/map/marker_landmark-75547db68ac388332b3b068c5fcf5c42758eabe76c40bb61f58e3389b5388541.svg",
"dark": "https://marinas.com/assets/map/dark/marker_landmark-fb7b474803cd9dd8c493c1737a738c8309f73ea53a495aecafb15446478201f9.svg"
}
}Returns the requested ramp
curl -XGET https://api.marinas.com/v1/ramps/5ncw{
"id": "5ncw",
"resource": "ramp",
"name": "Bunkers Harbor Pier",
"rating": null,
"review_count": 0,
"location": {
"lat": 44.37357949608324,
"lon": -68.03294652459404,
"what3words": null
},
"images": {
"resource": "list",
"data": [],
"total_count": 0
},
"web_url": "https://marinas.com/view/ramp/5ncw_Bunkers_Harbor_Pier_Ramp_Gouldsboro_ME_United_States",
"api_url": "https://api.marinas.com/v1/ramps/5ncw",
"icon_url": "https://marinas.com/assets/map/marker_ramp-af1a66a2ec0de9689c448ccc6a50beb300385f0291dbff2d3ee3f38e6cb2ee03.svg",
"icon_urls": {
"light": "https://marinas.com/assets/map/light/marker_ramp-4474a03932ff2a54aaaa76a6c57dc569a25ae2bd52a3b8833fb5f875cfada32d.svg",
"regular": "https://marinas.com/assets/map/marker_ramp-af1a66a2ec0de9689c448ccc6a50beb300385f0291dbff2d3ee3f38e6cb2ee03.svg",
"dark": "https://marinas.com/assets/map/dark/marker_ramp-2e341324c1a2471151165e1eb3bb32f01db7c16771315e527d3428be0ea0ce53.svg"
}
}